#
# spec file for package python-subliminal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-subliminal
Version:        2.0.5
Release:        lp151.2.2
Summary:        Python library to search and download subtitles
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Diaoul/subliminal
Source:         https://files.pythonhosted.org/packages/source/s/subliminal/subliminal-%{version}.tar.gz
# find a way to generate this
Source1:        subliminal.1
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module babelfish >= 0.5.4}
BuildRequires:  %{python_module beautifulsoup4 >= 4.4.0}
BuildRequires:  %{python_module chardet >= 2.3.0}
BuildRequires:  %{python_module click >= 4.1}
BuildRequires:  %{python_module devel >= 2.7}
BuildRequires:  %{python_module dogpile.cache >= 0.6.0}
BuildRequires:  %{python_module enzyme >= 0.4.1}
BuildRequires:  %{python_module pysrt >= 1.0.1}
BuildRequires:  %{python_module pyxdg >= 0.25}
BuildRequires:  %{python_module requests >= 2.7.0}
BuildRequires:  %{python_module setuptools  >= 18.0.1}
BuildRequires:  %{python_module six >= 1.9.0}
BuildRequires:  python2-guessit >= 2.0.1
BuildRequires:  python2-html5lib >= 0.999999
BuildRequires:  python2-pbr >= 1.3.0
BuildRequires:  python2-python-dateutil >= 2.2
BuildRequires:  python2-rarfile >= 2.7
BuildRequires:  python3-appdirs >= 1.3
# stevedore is not yet unified
BuildRequires:  %{oldpython}-stevedore >= 1.6.0
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-stevedore >= 1.6.0
%ifpython2
Requires:       python-futures >= 3.0
Requires:       python-html5lib >= 0.999999
Requires:       python-pbr >= 1.3.0
Requires:       python-python-dateutil >= 2.2
# Stevedore is not yet unified
Requires:       %{oldpython}-stevedore >= 1.6.0
%endif
%ifpython3
Requires:       python-dbm
Requires:       python3-stevedore >= 1.6.0
%endif
Requires:       python-appdirs >= 1.3
Requires:       python-babelfish >= 0.5.4
Requires:       python-beautifulsoup4 >= 4.4.0
Requires:       python-chardet >= 2.3.0
Requires:       python-click >= 4.1
Requires:       python-dogpile.cache >= 0.6.0
Requires:       python-enzyme >= 0.4.1
Requires:       python-guessit >= 2.0.1
Requires:       python-pysrt >= 1.0.1
Requires:       python-pytz >= 2012c
Requires:       python-pyxdg >= 0.25
Requires:       python-rarfile >= 2.7
Requires:       python-requests >= 2.7.0
Requires:       python-six >= 1.9.0
Recommends:     python-colorlog >= 2.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%ifpython3
Provides:       subliminal = %{version}
Obsoletes:      subliminal < %{version}
%endif
%python_subpackages

%description
Subliminal is a python library to search and download subtitles.
It comes with an easy to use CLI suitable for direct use or cron jobs.

%prep
%setup -n subliminal-%{version}

%build
%python_build

%install
%python_install
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 %{SOURCE1} -t %{buildroot}/%{_mandir}/man1
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root)
%doc HISTORY.rst LICENSE README.rst
%python3_only %{_bindir}/subliminal
%python3_only %{_mandir}/man1/subliminal.1%{ext_man}
%{python_sitelib}/subliminal
%{python_sitelib}/subliminal-%{version}-py%{python_version}.egg-info

%changelog
* Thu Jul 13 2017 aloisio@gmx.com
- Obtained correct tarball
* Thu Jul 13 2017 aloisio@gmx.com
- Converted to single-spec
- Switched source URL to pypi
- Ship executable only with python3
* Thu Dec 15 2016 aloisio@gmx.com
- Added missing requirements
* Sat Sep  3 2016 aloisio@gmx.com
- Update to version 2.0.5
  * Fix addic7ed provider for some series name
  * Fix existing subtitles detection
  * Improve scoring
  * Add Docker container
  * Add .ogv video extension
* Sat Sep  3 2016 aloisio@gmx.com
- Update to version 2.0.4
  * Fix subscenter
* Fri Jun 10 2016 aloisio@gmx.com
- Update to version 2.0.3
  * Fix clearing cache in CLI
  version 2.0.2
  * Fix for dogpile.cache>=0.6.0
  * Fix missing sphinx_rtd_theme dependency
  version 2.0.1
  * Fix beautifulsoup4 minimal requirement
  version 2.0.0
  * Add refiners to enrich videos with information from
    metadata, tvdb and omdb
  * Add asynchronous provider search for faster searches
  * Add registrable managers so subliminal can run without
    install
  * Add archive support
  * Add the ability to customize scoring logic
  * Add an age argument to scan_videos for faster scanning
  * Add legendas.tv provider
  * Add shooter.cn provider
  * Improve matching and scoring
  * Improve documentation
  * Split nautilus integration into its own project
- Added auto-generated manfile
- Set up update-alternatives
* Wed Apr 27 2016 aloisio@gmx.com
- Added requires for python-futures
* Tue Apr 26 2016 dmueller@suse.com
- add provides/obsoletes
* Tue Apr 26 2016 aloisio@gmx.com
- Update to version 2.0rc1
- Dropped nautilus extension because it's no longer supplied
- Package renamed to python-subliminal in accordance
  with SUSE naming policy
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Wed Jan 20 2016 aloisio@gmx.com
- Added requirement for python-ndg-httpsclient to address
  security problem with urllib3 and python < 2.7.9
* Sun Jan  3 2016 aloisio@gmx.com
- Update to 1.1.1
  * Fix scanning videos on bad MKV files
  version 1.1
  * Fix library usage example in README
  * Fix for series name with special characters in addic7ed provider
  * Fix id property in thesubdb provider
  * Improve matching on titles
  * Add support for nautilus context menu with translations
  * Add support for searching subtitles in a separate directory
  * Add subscenter provider
  * Add support for python 3.5
- Removed subliminal-unicode_literals.patch included upstream
- Added nautilus integration script
* Thu Dec 10 2015 aloisio@gmx.com
- Backported commit 79fb044 (fixes #495) as
  subliminal-unicode_literals.patch
  * Prevents warnings related to click 5 and newer
* Sat Jul 25 2015 aloisio@gmx.com
- Update to version 1.0.1
  * Fix unicode issues in CLI (python 2 only)
  * Fix score scaling in CLI (python 2 only)
  * Improve error handling in CLI
  * Color collect report in CLI
  version 1.0:
  * Many changes and fixes
  * New test suite
  * New documentation
  * New CLI
- Added manpage
- Package now depends on python-click, python-pbr and python-six
- Added all Requires also as BuildRequires and aligned their
  versions with PyPI
* Fri May 22 2015 aloisio@gmx.com
- Update to current git version
  * Fix podnapisi provider
- Fixed build problem
* Thu Feb 26 2015 p.drouand@gmail.com
- Fix Group
- Fix dependencies
* Tue Feb 10 2015 aloisio@gmx.com
- Initial version 0.8.0_dev
